summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2008-05-23 10:54:05 -0400
committerBill Nottingham <notting@redhat.com>2008-05-23 10:58:24 -0400
commitd30e73c36dd761e853ceccc968d85daaaf85f619 (patch)
tree1613190824c9b2e8a4dd754931167065f435664f
parent12af846675bf3b89693d81e750a4ad86f1393130 (diff)
downloadinitscripts-d30e73c36dd761e853ceccc968d85daaaf85f619.tar.gz
initscripts-d30e73c36dd761e853ceccc968d85daaaf85f619.tar.xz
initscripts-d30e73c36dd761e853ceccc968d85daaaf85f619.zip
Don't try to startup crypto if we can't find the device, or if it isn't there.
-rwxr-xr-xrc.d/rc.sysinit2
1 files changed, 2 insertions, 0 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 32789859..2a33af26 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -141,6 +141,8 @@ init_crypto() {
elif [ "${src/^\/dev\/disk\/by-uuid\/}" != "$src" ]; then
src=$(__readlink $src)
fi
+ [ -z "$src" ] && continue
+ [ -b "$src" ] || continue
# Parse the options field, convert to cryptsetup parameters
# and contruct the command line
while [ -n "$opt" ]; do